<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="generator" content="ExDoc v0.31.0">
    <meta name="project" content="Manpages v2.3.0">


    <title>aa-autodep — Manpages v2.3.0</title>
    <link rel="stylesheet" href="dist/html-elixir-3ZLIM5JF.css" />


    <script src="dist/handlebars.runtime-NWIB6V2M.js"></script>
    <script src="dist/handlebars.templates-43PMFBC7.js"></script>
    <script src="dist/sidebar_items-BAAB9852.js"></script>

      <script src="doc-versions.js"></script>

    <script async src="dist/html-CILPWI2Q.js"></script>

<link rel="stylesheet" href="assets/doc.css">
  </head>
  <body data-type="extras" class="page-extra">
    <script>

      try {
        var settings = JSON.parse(localStorage.getItem('ex_doc:settings') || '{}');

        if (settings.theme === 'dark' ||
           ((settings.theme === 'system' || settings.theme == null) &&
             window.matchMedia('(prefers-color-scheme: dark)').matches)
           ) {
          document.body.classList.add('dark')
        }
      } catch (error) { }
    </script>

<div class="main">

<button class="sidebar-button sidebar-toggle" aria-label="toggle sidebar" aria-controls="sidebar">
  <i class="ri-menu-line ri-lg" title="Collapse/expand sidebar"></i>
</button>

<nav id="sidebar" class="sidebar">

  <div class="sidebar-header">
    <div class="sidebar-projectInfo">

        <a href="https://kaisenlinux.org/manpages/" class="sidebar-projectImage">
          <img src="assets/logo.png" alt="Manpages" />
        </a>

      <div>
        <a href="https://kaisenlinux.org/manpages/" class="sidebar-projectName" translate="no">
Manpages
        </a>
        <div class="sidebar-projectVersion" translate="no">
          v2.3.0
        </div>
      </div>
    </div>
    <ul id="sidebar-listNav" class="sidebar-listNav" role="tablist">
      <li>
        <button id="extras-list-tab-button" role="tab" data-type="extras" aria-controls="extras-tab-panel" aria-selected="true" tabindex="0">
MANUALS
        </button>
      </li>


    </ul>
  </div>

  <div id="extras-tab-panel" class="sidebar-tabpanel" role="tabpanel" aria-labelledby="extras-list-tab-button">
    <ul id="extras-full-list" class="full-list"></ul>
  </div>


</nav>

<main class="content">
  <output role="status" id="toast"></output>
  <div class="content-outer">
    <div id="content" class="content-inner">
      <div class="top-search">
        <div class="search-settings">
          <form class="search-bar" action="search.html">
            <label class="search-label">
              <span class="sr-only">Search documentation of Manpages</span>
              <input name="q" type="text" class="search-input" placeholder="Search Documentation (press /)" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false" />
            </label>
            <button type="submit" class="search-button" aria-label="Submit Search">
              <i class="ri-search-2-line ri-lg" aria-hidden="true" title="Submit search"></i>
            </button>
            <button type="button" tabindex="-1" class="search-close-button" aria-hidden="true">
              <i class="ri-close-line ri-lg" title="Cancel search"></i>
            </button>
          </form>
          <button class="icon-settings display-settings">
            <i class="ri-settings-3-line"></i>
            <span class="sr-only">Settings</span>
          </button>
        </div>
      </div>
      <div class="autocomplete">
      </div>

<h1>


  <span>aa-autodep</span>
</h1>

<p>AA-AUTODEP(8)                                                                 AppArmor                                                                 AA-AUTODEP(8)</p><p>NAME</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="n">aa</span><span class="o">-</span><span class="n">autodep</span><span class="w"> </span><span class="o">-</span><span class="w"> </span><span class="n">guess</span><span class="w"> </span><span class="n">basic</span><span class="w"> </span><span class="nc">AppArmor</span><span class="w"> </span><span class="n">profile</span><span class="w"> </span><span class="n">requirements</span></code></pre><p>SYNOPSIS</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="n">aa</span><span class="o">-</span><span class="n">autodep</span><span class="w"> </span><span class="o">&lt;</span><span class="n">executable</span><span class="o">&gt;</span><span class="w"> </span><span class="p" data-group-id="3799508581-1">[</span><span class="o">&lt;</span><span class="n">executable</span><span class="o">&gt;</span><span class="w"> </span><span class="n">...</span><span class="p" data-group-id="3799508581-1">]</span><span class="w"> </span><span class="p" data-group-id="3799508581-2">[</span><span class="o">-</span><span class="n">d</span><span class="w"> </span><span class="o">/</span><span class="n">path</span><span class="o">/</span><span class="n">to</span><span class="o">/</span><span class="n">profiles</span><span class="p" data-group-id="3799508581-2">]</span><span class="w"> </span><span class="p" data-group-id="3799508581-3">[</span><span class="o">-</span><span class="n">f</span><span class="p" data-group-id="3799508581-3">]</span></code></pre><p>OPTIONS</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="o">-</span><span class="n">d</span><span class="w"> </span><span class="o">--</span><span class="n">dir</span><span class="w">  </span><span class="o">/</span><span class="n">path</span><span class="o">/</span><span class="n">to</span><span class="o">/</span><span class="n">profiles</span><span class="w">

      </span><span class="nc">Specifies</span><span class="w"> </span><span class="n">where</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">look</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="nc">AppArmor</span><span class="w"> </span><span class="n">security</span><span class="w"> </span><span class="n">profile</span><span class="w"> </span><span class="n">set</span><span class="o">.</span><span class="w">
      </span><span class="nc">Defaults</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="o">/</span><span class="n">etc</span><span class="o">/</span><span class="n">apparmor</span><span class="o">.</span><span class="n">d</span><span class="o">.</span><span class="w">

   </span><span class="o">-</span><span class="n">f</span><span class="w"> </span><span class="o">--</span><span class="n">force</span><span class="w">

      </span><span class="nc">Overwrites</span><span class="w"> </span><span class="n">any</span><span class="w"> </span><span class="n">existing</span><span class="w"> </span><span class="nc">AppArmor</span><span class="w"> </span><span class="n">profile</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">executable</span><span class="w"> </span><span class="k">with</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">generated</span><span class="w"> </span><span class="n">minimal</span><span class="w"> </span><span class="nc">AppArmor</span><span class="w"> </span><span class="n">profile</span><span class="o">.</span></code></pre><p>DESCRIPTION</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="n">aa</span><span class="o">-</span><span class="n">autodep</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">used</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">generate</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">minimal</span><span class="w"> </span><span class="nc">AppArmor</span><span class="w"> </span><span class="n">profile</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">set</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">executables</span><span class="o">.</span><span class="w"> </span><span class="nc">This</span><span class="w"> </span><span class="n">program</span><span class="w"> </span><span class="n">will</span><span class="w"> </span><span class="n">generate</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">profile</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="n">binary</span><span class="w"> </span><span class="n">executable</span><span class="w"> </span><span class="n">as</span><span class="w"> </span><span class="n">well</span><span class="w"> </span><span class="n">as</span><span class="w">
   </span><span class="n">interpreted</span><span class="w"> </span><span class="n">script</span><span class="w"> </span><span class="n">programs</span><span class="o">.</span><span class="w"> </span><span class="nc">At</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">minimum</span><span class="w"> </span><span class="n">aa</span><span class="o">-</span><span class="n">autodep</span><span class="w"> </span><span class="n">will</span><span class="w"> </span><span class="n">provide</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">base</span><span class="w"> </span><span class="n">profile</span><span class="w"> </span><span class="n">containing</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">base</span><span class="w"> </span><span class="n">include</span><span class="w"> </span><span class="n">directive</span><span class="w"> </span><span class="n">which</span><span class="w"> </span><span class="n">includes</span><span class="w"> </span><span class="n">basic</span><span class="w"> </span><span class="n">profile</span><span class="w"> </span><span class="n">entries</span><span class="w">
   </span><span class="n">needed</span><span class="w"> </span><span class="n">by</span><span class="w"> </span><span class="n">most</span><span class="w"> </span><span class="n">programs</span><span class="o">.</span><span class="w">  </span><span class="nc">The</span><span class="w"> </span><span class="n">profile</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">generated</span><span class="w"> </span><span class="n">by</span><span class="w"> </span><span class="n">recursively</span><span class="w"> </span><span class="n">calling</span><span class="w"> </span><span class="n">ldd</span><span class="p" data-group-id="7326285121-1">(</span><span class="mi">1</span><span class="p" data-group-id="7326285121-1">)</span><span class="w"> </span><span class="n">on</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">executables</span><span class="w"> </span><span class="n">listed</span><span class="w"> </span><span class="n">on</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">command</span><span class="w"> </span><span class="n">line</span><span class="o">.</span><span class="w">

   </span><span class="nc">The</span><span class="w"> </span><span class="o">--</span><span class="n">force</span><span class="w"> </span><span class="n">option</span><span class="w"> </span><span class="n">will</span><span class="w"> </span><span class="n">overwrite</span><span class="w"> </span><span class="n">any</span><span class="w"> </span><span class="n">existing</span><span class="w"> </span><span class="n">profile</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">executable</span><span class="w"> </span><span class="k">with</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">newly</span><span class="w"> </span><span class="n">generated</span><span class="w"> </span><span class="n">minimal</span><span class="w"> </span><span class="nc">AppArmor</span><span class="w"> </span><span class="n">profile</span><span class="o">.</span></code></pre><p>BUGS</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="nc">This</span><span class="w"> </span><span class="n">program</span><span class="w"> </span><span class="n">does</span><span class="w"> </span><span class="ow">not</span><span class="w"> </span><span class="n">perform</span><span class="w"> </span><span class="n">full</span><span class="w"> </span><span class="n">static</span><span class="w"> </span><span class="n">analysis</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">executables</span><span class="p">,</span><span class="w"> </span><span class="n">so</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">profiles</span><span class="w"> </span><span class="n">generated</span><span class="w"> </span><span class="n">are</span><span class="w"> </span><span class="n">necessarily</span><span class="w"> </span><span class="n">incomplete</span><span class="o">.</span><span class="w"> </span><span class="nc">If</span><span class="w"> </span><span class="n">you</span><span class="w"> </span><span class="n">find</span><span class="w"> </span><span class="n">any</span><span class="w"> </span><span class="n">bugs</span><span class="p">,</span><span class="w"> </span><span class="n">please</span><span class="w"> </span><span class="n">report</span><span class="w">
   </span><span class="n">them</span><span class="w"> </span><span class="n">at</span><span class="w"> </span><span class="o">&lt;</span><span class="n">https</span><span class="ss">://</span><span class="n">gitlab</span><span class="o">.</span><span class="n">com</span><span class="o">/</span><span class="n">apparmor</span><span class="o">/</span><span class="n">apparmor</span><span class="o">/</span><span class="o">-</span><span class="o">/</span><span class="n">issues</span><span class="o">&gt;</span><span class="o">.</span></code></pre><p>SEE ALSO</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="n">apparmor</span><span class="p" data-group-id="4579826836-1">(</span><span class="mi">7</span><span class="p" data-group-id="4579826836-1">)</span><span class="p">,</span><span class="w"> </span><span class="n">apparmor</span><span class="o">.</span><span class="n">d</span><span class="p" data-group-id="4579826836-2">(</span><span class="mi">5</span><span class="p" data-group-id="4579826836-2">)</span><span class="p">,</span><span class="w"> </span><span class="n">aa</span><span class="o">-</span><span class="n">complain</span><span class="p" data-group-id="4579826836-3">(</span><span class="mi">1</span><span class="p" data-group-id="4579826836-3">)</span><span class="p">,</span><span class="w"> </span><span class="n">aa</span><span class="o">-</span><span class="n">enforce</span><span class="p" data-group-id="4579826836-4">(</span><span class="mi">1</span><span class="p" data-group-id="4579826836-4">)</span><span class="p">,</span><span class="w"> </span><span class="n">aa</span><span class="o">-</span><span class="n">disable</span><span class="p" data-group-id="4579826836-5">(</span><span class="mi">1</span><span class="p" data-group-id="4579826836-5">)</span><span class="p">,</span><span class="w"> </span><span class="n">aa_change_hat</span><span class="p" data-group-id="4579826836-6">(</span><span class="mi">2</span><span class="p" data-group-id="4579826836-6">)</span><span class="p">,</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="o">&lt;</span><span class="n">https</span><span class="ss">://</span><span class="n">wiki</span><span class="o">.</span><span class="n">apparmor</span><span class="o">.</span><span class="n">net</span><span class="o">&gt;</span><span class="o">.</span></code></pre><p>AppArmor 3.0.8                                                               2023-02-14                                                                AA-AUTODEP(8)</p>
<div class="bottom-actions">
  <div class="bottom-actions-item">

      <a href="aa-audit.html" class="bottom-actions-button" rel="prev">
        <span class="subheader">
          ← Previous Page
        </span>
        <span class="title">
aa-audit
        </span>
      </a>

  </div>
  <div class="bottom-actions-item">

      <a href="aa-cleanprof.html" class="bottom-actions-button" rel="next">
        <span class="subheader">
          Next Page →
        </span>
        <span class="title">
aa-cleanprof
        </span>
      </a>

  </div>
</div>
      <footer class="footer">
        <p>

          <span class="line">
            <button class="a-main footer-button display-quick-switch" title="Search HexDocs packages">
              Search HexDocs
            </button>

          </span>
        </p>

        <p class="built-using">
          Built using
          <a href="https://github.com/elixir-lang/ex_doc" title="ExDoc" target="_blank" rel="help noopener" translate="no">ExDoc</a> (v0.31.0) for the

            <a href="https://elixir-lang.org" title="Elixir" target="_blank" translate="no">Elixir programming language</a>

        </p>
      </footer>
    </div>
  </div>
</main>
</div>


  </body>
</html>
